Get order

Retrieves details for a single order by its identifier.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Path Parameters

  • orderId — Order UUID or merchant-defined order_id

Query Parameters

  • checkout_page — Page number for checkout sessions (default: 1)

Response Highlights

Each response includes the following key fields:

Payment & Status

  • status — Order payment state
  • price_amount — Fiat amount of the order
  • price_currency — Fiat currency code
  • crypto_amount — Crypto amount received after invoice finalization

Payment URLs

  • invoice_url — Single-use invoice (20-minute lifetime)
  • checkout_url — Reusable checkout link
  • checkout_id — Identifier of the checkout root

Checkout Sessions

  • is_checkout_template — Indicates reusable checkout root
  • is_checkout_session — Indicates derived checkout session
  • has_checkout_sessions — Whether checkout sessions exist
  • checkout_sessions — List of generated checkout sessions
  • checkout_sessions_pagination — Pagination details for sessions

Each checkout session includes:

  • id
  • status
  • price_amount
  • price_currency
  • created_at
  • expire_at

Customer Information

  • customerInfo.email
  • customerInfo.comment

Shipping Information

  • customerInfo.shipping.firstName
  • customerInfo.shipping.lastName
  • customerInfo.shipping.address
  • customerInfo.shipping.apartment
  • customerInfo.shipping.city
  • customerInfo.shipping.country
  • customerInfo.shipping.postalCode
Path Params
string
required
length between 1 and 255
Query Params
integer
≥ 1
Defaults to 1
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json